%define upstream_name    Term-ReadLine-Gnu
%define upstream_version 1.35

Summary:	Perl extension for the GNU Readline/History Library
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)

%description
This is an implementation of the interface to the GNU Readline
Library. This module gives you input line editing facility, input
history management facility, word completion facility, etc. It
uses the real GNU Readline Library. And this module has the
interface with the almost all variables and functions which are
documented in the GNU Readline/History Library. So you can program
your custom editing function, your custom completion function, and
so on with Perl. This may be useful for prototyping before
programming with C.

%files
%doc README
%{perl_vendorarch}/Term
%{perl_vendorarch}/auto/Term
%{_mandir}/*/*
%{_bindir}/perlsh

#----------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README
# Fix bogus dependency on /usr/local/bin/perl:
perl -pi -e 's!/usr/local/bin/perl!/usr/bin/perl!g' Gnu/{euc_jp,XS}.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
%make "CFLAGS=%{optflags}"

%install
%makeinstall_std

%check
if [ -n "$DISPLAY" ] ; then
	TERM=linux make test
else
	echo "***************************************************"
	echo " make test not done because DISPLAY var is not set "
	echo "***************************************************"
fi

%changelog

* Sun Jun 18 2017 dsilakov <denis.silakov@rosalab.ru> 1.350.0-1
- (8020cdb) Merge pull request #7 from import/perl-Term-ReadLine-Gnu:auto_update
- (8020cdb) Updated to 1.35 (by updates_builder)


